summaryrefslogtreecommitdiff
path: root/.gitlab
diff options
context:
space:
mode:
authorMatthew Pickering <matthewtpickering@gmail.com>2022-06-08 11:29:55 +0100
committerMarge Bot <ben+marge-bot@smart-cactus.org>2022-06-14 08:40:53 -0400
commitad70c621c4ca2c99232c3711050a6ab88184a10a (patch)
tree82809491296e132b445cdb846f7153decb011f87 /.gitlab
parentdc202080d6cb26bab38233266d539b626258cd2c (diff)
downloadhaskell-ad70c621c4ca2c99232c3711050a6ab88184a10a.tar.gz
hadrian: Fix testing stage1 compiler
There were various issues with testing the stage1 compiler.. 1. The wrapper was not being built 2. The wrapper was picking up the stage0 package database and trying to load prelude from that. 3. The wrappers never worked on windows so just don't support that for now. Fixes #21072
Diffstat (limited to '.gitlab')
-rwxr-xr-x.gitlab/ci.sh17
1 files changed, 10 insertions, 7 deletions
diff --git a/.gitlab/ci.sh b/.gitlab/ci.sh
index 5f5409dba8..42c487bf0c 100755
--- a/.gitlab/ci.sh
+++ b/.gitlab/ci.sh
@@ -613,13 +613,14 @@ function test_hadrian() {
cd ../../../
test_compiler="$TOP/_build/install/bin/ghc$exe"
- # Disabled, see #21072
- # run_hadrian \
- # test \
- # --test-root-dirs=testsuite/tests/stage1 \
- # --test-compiler=stage1 \
- # "runtest.opts+=${RUNTEST_ARGS:-}" || fail "hadrian stage1 test"
- #info "STAGE1_TEST=$?"
+ if [[ "${WINDOWS_HOST}" == "no" ]]; then
+ run_hadrian \
+ test \
+ --test-root-dirs=testsuite/tests/stage1 \
+ --test-compiler=stage1 \
+ "runtest.opts+=${RUNTEST_ARGS:-}" || fail "hadrian stage1 test"
+ info "STAGE1_TEST=$?"
+ fi
# Ensure the resulting compiler has the correct bignum-flavour
test_compiler_backend=$(${test_compiler} -e "GHC.Num.Backend.backendName")
@@ -749,9 +750,11 @@ case "$(uname)" in
exe=".exe"
# N.B. cabal-install expects CABAL_DIR to be a Windows path
CABAL_DIR="$(cygpath -w "$CABAL_DIR")"
+ WINDOWS_HOST="yes"
;;
*)
exe=""
+ WINDOWS_HOST="no"
;;
esac